iCulture forum | iPhone, iPad,  iPod touch, Apple TV en iOS

iCulture forum | iPhone, iPad, iPod touch, Apple TV en iOS (https://forum.iculture.nl/)
-   Jailbreak apps en thema's (https://forum.iculture.nl/f14/jailbreak-unlock/f9/jailbreak-apps-thema-s/)
-   -   Error: main script execution failed (https://forum.iculture.nl/f14/jailbreak-unlock/f9/jailbreak-apps-thema-s/4733-error-main-script-execution-failed.html)

Busta227 08-01-08 22:28

Error: main script execution failed
 
hello,

Is er echt helemaal niemand die het probleem met de bovenstaande error die installer.app kan oplossen??
Als het goed is moet je iets handmatig veranderen via WinSCP ofso...
Een hoop mensen hebben hetzelfde probleem...als er mensen zijn die ervan af zijn, willen die het dan aan iedereen laten weten aub?
Je kunt het in iedere geval niet fixen door BSD Subsystem te reinstalleren, meer ruimte vrij te maken, herstellen, opnieuw jailbreaken of door te downgraden en dan weer upgraden ofso....

topke 09-01-08 13:54

Citaat:

Oorspronkelijk geplaatst door Busta227 (Bericht 37574)
hello,

Is er echt helemaal niemand die het probleem met de bovenstaande error die installer.app kan oplossen??
Als het goed is moet je iets handmatig veranderen via WinSCP ofso...
Een hoop mensen hebben hetzelfde probleem...als er mensen zijn die ervan af zijn, willen die het dan aan iedereen laten weten aub?
Je kunt het in iedere geval niet fixen door BSD Subsystem te reinstalleren, meer ruimte vrij te maken, herstellen, opnieuw jailbreaken of door te downgraden en dan weer upgraden ofso....

Dat is dan ook een error in het script... Daar kan je niets aan doen tenzij de maker van het script of wie dan ook dat script aanpast.

Busta227 09-01-08 14:07

Citaat:

Oorspronkelijk geplaatst door topke (Bericht 37883)
Dat is dan ook een error in het script... Daar kan je niets aan doen tenzij de maker van het script of wie dan ook dat script aanpast.

nee dat is niet waar... er is iets mis met een of andere bestand op de iphone zelf... want ik kan NLse T9 niet installeren.. terwijl ik dat wel gwn had voor de restore (gwn weer 1.1.2) en bijna iedereen heeft die software tog gwn en draait netjes..

topke 09-01-08 14:23

dan kan ik je niet verder helpen :)

chonazz 27-01-08 19:06

Ik heb hetzelfde probleem, ondertussen al 3 keer gerestored naar 1.1.1, update naar 1.1.2 en dan weer naar 1.1.3. Word er echt knetter gek van, snap niet dat dit enkel bij een aantal mensen gebeurt!

Heb jij ondertussen al een oplossing gevonden?
Groeten
jonas

Cainnech 28-01-08 17:32

Ik had hetzelfde probleem gisteren bij mijn upgrade.

Voor je upgrade moet je zorgen dat je mistens installer 3.9 hebt en BSD 2.5 of hoger.

Toen ik de eerste keer upgrade zat ik op installer 3.4 en werkte hij niet. je hebt minstens installer 3.9 nodig.

Dus ik ben gisteren teruggegaan naar 1.1.1 en dan terug 1.1.2 en dan installer upgrade naar 3.10 en dan bsd geinstalleerd en dan opnieuw de upgrade gedaan naar 1.1.3. Dan kreeg ik die error niet meer.

Fab1Man 28-01-08 18:50

Heeft IEMAND enig idee hoe je het "Main Script Failed" probleem in de installer kunt verhelpen??

iCulture 28-01-08 18:55

Citaat:

Oorspronkelijk geplaatst door Fab1Man (Bericht 51263)
Heeft IEMAND enig idee hoe je het "Main Script Failed" probleem in de installer kunt verhelpen??

Op het gevaar af dat ik een overbodige opmerking plaats: BSD Subsystem installeren? (laatste versie)

Fab1Man 28-01-08 19:01

Citaat:

Oorspronkelijk geplaatst door iphoneclub.nl (Bericht 51264)
Op het gevaar af dat ik een overbodige opmerking plaats: BSD Subsystem installeren? (laatste versie)

Versie 2.0 staat er al op, en reinstallen gaat ok ook niet, vanwege dat het script weer een foutmelding geeft. Ik heb inmiddels 5!! keer gedowngrade en geupgrade (incl. syncen) en ik ben dat "gezeik" met die jailbreak een beetje zat aan het worden. Heeft iemand nog een idee?

Is BSD Subsystem misschien ook handmatig te installeren (ga er wel vanuit, maar hoe?)

Johnny Crash 28-01-08 19:09

Hallo, had dit ergens in ander thread gepost:;

Bij upgr van 112 -> 113 krijgt men ook vaak de 'main execution script-error bij draaien van 113 soft upgrade in installer.. Hier is iig anysim de oorzaak van.. Kan trouwens opgelo0st worden door de 'fstab' file te editen. Haal ',noexec' weg uit de fstab-file;
Dus (in mijn geval) :

/dev/disk0s1 / hfs rw 0 1
/dev/disk0s2 /private/var hfs rw,noexec 0 2

Veranderen in:
/dev/disk0s1 / hfs rw 0 1
/dev/disk0s2 /private/var hfs rw 0 2

Grtz JC

Fab1Man 28-01-08 19:17

Kun je even zeggen hoe je dat hebt gedaan?

EDIT
Tja, leuk en aardig, maar bij mij staat de fstab al zo :S.


Johnny Crash 28-01-08 19:39

Oh, je moet in foon SSH'en en deze file in /etc/fstab naar comprutter d/l ,, ff backuppen (ik zip ze meestal)

Dan in een text-editor bovengenoemde veranderen, saven en terug op foon zappen (besttaande lijst vervangen/deleten..

Heb ut gewoon met de bsd versie van voor 2.0 gedaan (1.6?)

Fab1Man 28-01-08 19:44

Oplossing gevonden!

Open een terminal en doe het volgende:

cd /
cd Applications/
wget http://repository.apptapp.com/packag.../Installer.zip
rm -rf Installer.app
unzip Installer.zip
chmod +s Installer.app/Installer
chown -R root:wheel Installer.app
rm Installer.zip

isdawa 29-01-08 13:14

Citaat:

Oorspronkelijk geplaatst door Fab1Man (Bericht 51304)
Oplossing gevonden!

Open een terminal en doe het volgende:

cd /
cd Applications/
wget http://repository.apptapp.com/packag.../Installer.zip
rm -rf Installer.app
unzip Installer.zip
chmod +s Installer.app/Installer
chown -R root:wheel Installer.app
rm Installer.zip


Ik heb bovenstaande geprobeerd maar heeft voor de vt100 applicatie niets opgeleverd. Resultaat is dat ik vanuit een PuTTY met SSH kan inloggen op mijn iPhone, root/alpine

Kan ook gewoon files SCP-en (dus de hele SSH suite werkt correct).

Alleen de vt100 opstarten geeft me (na de update 1.1.3 die ik gisteren heb doorgevoerd) het resultaat dat ik een password moet geven.

Naast UID 0 (root) is er nu ook een UID 501 (mobile) waarvan ik het password echter niet ken. Ik heb ook begrepen dat de huidige versie 1.1.3 nog geen modificatie's m.b.v. passwd toelaat.

Overigens heb ik zowat alle éxtra applicatie's eerst moeten verwijderen en ze vervolgens weer installeren omdat ze niet meer beschikbaar waren.

Dat is bij alles gelukt, behalve de vt100 EN mijn Nederlandse teksten zijn ineens weer USA geworden..

Iemand een idee of en waar ik met AppInstaller dit weer voor elkaar kan krijgen?

Met groet,

Michael (Isdawa).

Willempieee 29-01-08 13:28

Gelukt met de vondst van Fab1Man, cheers for that !

pietsnot 29-01-08 20:36

ik draai op 1.1.3 met Installer 3.0b10, maar toch geeft hij steeds deze melding... Wat te doen?

Cainnech 30-01-08 02:41

Ben je naar 3b10 gegaan in 1.1.3 of toen je nog op 1.1.2 zat ?

Als je het op 1.1.2 gedaan hebt, dan weet ik het niet. Misschien moet je dan eens de suggestie van Fab1Man volgen?

Bij mij was het probleem opgelost door in 1.1.2 Installer te updaten.

fotogravizer 02-02-08 16:15

Ik heb ook het probleem 'Error: main script execution failed'.

Ik ben van 1.1.1 naar 1.1.3 gegaan via de methode van Nate True, maar omdat Wi-Fi het niet deed wilde ik terug naar 1.1.1. Sindsdien krijg ik m'n iPhone wel aan de praat, zowel in 1.0.2, 1.1.1 als in 1.1.2, maar mijn simkaart wil maar niet unlocken.

Ik vermoed dat bovenstaande suggestie van Fab1Man mij oplossing gaat bieden, maar mijn terminal0skills zijn nihil.
Is er iemand die mij kan helpen?

iBen 02-02-08 17:42

main script execusion failed
 
Citaat:

Oorspronkelijk geplaatst door Fab1Man (Bericht 51304)
Oplossing gevonden!

Open een terminal en doe het volgende:

cd /
cd Applications/
wget http://repository.apptapp.com/packag.../Installer.zip
rm -rf Installer.app
unzip Installer.zip
chmod +s Installer.app/Installer
chown -R root:wheel Installer.app
rm Installer.zip


Alles gaat goed, tot het comando "unzip" dan blijft hij met een melding Wait saan, Doe ik hier iets fout!!

iBen 02-02-08 19:31

Alles inmiddels opgelost

dank aan Fab1Man


Alle tijden zijn GMT +2. Het is nu 00:35.